Subject: Re: [Isis-wg] operational problem might be solved bysomehowextending current IS-IS

From: [email-masked]
Date: Wed, 29 Sep 2010 13:05:04 +0200

> 
> 
> From: "Les Ginsberg (ginsberg)" <[email-masked]>
> Date: September 29, 2010 12:04:23 AM GMT+02:00
> To: "Shane Amante" <[email-masked]>
> Cc: Tony Li <[email-masked]>, [email-masked], "Mike Shand \(mshand\)" <[email-masked]>
> Subject: Re: [Isis-wg] operational problem might be solved bysomehowextending current IS-IS
> 
> 
> Shane -
> 
> I think the difference can be clearly expressed in this way:
> 
> Router A Config
> ----------------
> int eth 0/0
> isis metric 20
> 
> 
> Router B Config
> ----------------
> int eth 0/0
> isis metric 20
> 
> Both Router A and Router B behave in a manner consistent with the local
> configuration i.e. they each advertise metric 10 to the pseudo-node for
> ethernet 0/0.
> 
> (You could substitute "priority" in the above example if you like)
> 
> What is being proposed here is something like this:
> 
> Router A Config
> ----------------
> int eth 0/0
> isis metric 20
> 
> 
> Router B Config
> ----------------
> int eth 0/0
> isis metric 20
> isis reverse-metric 10000
> 
> This will cause Router B to send a new TLV indicating "reverse-metric
> 10000". When Router A receives that TLV it is expected to modify its
> advertisements to reflect the reverse metric - so Router A is no longer
> operating using its locally configured metric - instead it is operating
> using the reverse-metric configured on Router B. 
> 
> The operational state is the same as if we went to Router A and changed
> its metric configuration - but we used configuration on Router B and a
> protocol extension to achieve that. This puts the routing protocol in
> the business of changing configuration on its peers - I don't think we
> should be doing that.
> 
>    Les
> 

Hi Les,

I have to correct your example:

so far i understood from previous discussion,  reverse-metric only apply to DIS of the LAN. Of cause i dont know in your case, which router has been taken the DIS role.

Router A still announce it's metric to DIS as 20, but DIS will advertise metric 10000 for attached system(Router B). In this way, all routers in the LAN forward traffic normally but on Router B is
removed from forwarding path.

Guan